## numba 0.56.4+dfsg

=== debian/changelog ===
numba (0.56.4+dfsg-2) unstable; urgency=medium

  [ Diane Trout ]
  * Backport patches from https://github.com/numba/numba/pull/8590 into
    patches/python3.11/
    0054-Apply-suggestions-from-code-review.patch
    0055-Fix-arrayexprs-for-py3.11.patch
    0056-Fix-LOAD_GLOBAL-arg-use-in-test_parfors-for-py3.11.patch
    0057-Move-_fix_LOAD_GLOBAL-arg-to-bytecode-module-and-use-it-in-_compute_used_globals.patch
    0058-Fix-text_flow_control-for-py3.11.patch
    0059-Not-a-py311-change-stop-printing-source-code.patch
    0060-Attempt-to-fix-cellvars.patch
    0061-Fix-CodeType-usage.patch
    0062-Remove-duplicated-handling-of-CodeType.patch
    0063-Flake8-fixes.patch
    0064-More-flake8-fixes.patch
    0065-Enable-list_to_tuple-peephole-for-py3.11.patch
    0067-Update-numba-core-byteflow.py.patch
    0068-Get-rid-of-custom-copy_code_type.-Use-CodeType.Replace-instead.patch
  * Add Origin header for the 8545 pull request for the earlier patches
  * Backport patches from https://github.com/numba/numba/pull/8639
      201-Update-string-bytes-hash-algs-to-siphash13-for-Python.patch
      202-Fix-flake8.patch
      203-Attempt-to-fix-closures.patch
      204-Enable-more-peephole-rewrites-in-3.11.patch
      205-Fix-test_dump_bytecode.patch
      206-Fix-f-string-const-name-interp.patch
      207-Rewrite-_jump_if_none-to-match-pre-py3.11.patch
      208-Fix-near-and-far-jump-target-ordering.patch
      209-Add-more-new-op-code-handling.patch
      210-Fix-issue-with-EXTENDED_ARG-test-and-update-test.patch
      211-Add-pop-NULL-to-CALL_FUNCTION_EX-byteflow-analysis.patch
      212-Fix-out-of-bounds-loop-index-in-test.patch
      213-Accommodate-multiple-bytecodes-at-block-start-with-no.patch
      214-Fix-parfors-prange-test-generator-LOAD_GLOBAL-args.patch
      215-Update-assertion-for-Python-3.11-style-error-messages.patch
      216-Fix-bytecode-iteration-to-handle-EXTENDED_ARG-as-jump.patch
      217-Fix-rebase-error-in-op_LOAD_DEREF.patch
      218-Respond-to-feedback-RE-use-of-_is_null_temp_reg-in.patch
      219-Fix-binop-names-to-be-legal-variable-names.patch
      220-Update-test_extended_arg-to-use-CodeType.replace.patch
  * Backport pull request https://github.com/numba/numba/pull/8644
      301-Fix-bare-reraise-support.patch
  * Try to implement nocheck test skipping
  * Mark known problmatic tests with expectedFailure("python3.11")
    tests-failing-python3.patch

 -- Diane Trout <diane@ghic.org>  Sun, 05 Feb 2023 20:51:25 -0800

numba (0.56.4+dfsg-1) unstable; urgency=medium

  * Warning! The upstream patches added to support Python 3.11 are
    incomplete at present and there are test failures with Numba
    running with Python 3.11.
  * New upstream release
  * Increment Build-Depends as 0.56.4 supports up to numpy 1.24
    (Closes: #1026286)
  * Backport https://github.com/numba/numba/pull/8545 to support
    Python 3.11 (Closes: #1024031)
  * Add lintian override about np/ufunc/_num_threads library as it is
    not linked to libc in Python 3.11 either.
  * Bump Standards-Version to 4.6.1. No changes needed.
  * Use numbas runtests.py instead of pytest for running build time tests.
    - upstreams test runner is parallelized.
    - also I limited the test runner to choose a random 20% of the tests
      as builds frequently exceeded builder runtime limits.
    - add pybuild.testfiles to copy runtests driver into build directory.
  * Remove pytest packages from Build-Dependencies since they're unused now.
  * Override litian error for very-long-line in numba/tests/test_nrt.py
    The long line is the symbolic representation of what the test
    generated assembly code should be.
  * Add numpy-1-24-pr8691.patch with some small modifications to build with
    the Python 3.11 patches and adjust the maximum numpy version.
    (Closes: #1026286)
    This allows increasing numpy build depends to << 1.25

 -- Diane Trout <diane@ghic.org>  Sat, 07 Jan 2023 21:21:26 -0800

numba (0.56.2+dfsg-3) unstable; urgency=medium

  * Skip long running tests during build.
    Will Hopefully allow builds to finish on slower architectures.
  * Disable onetbb as Debian's version is too new for Numba
  * Limit autopkgtest threading to no more than 16 on PPC.
  * add-test-tags to skip tests some tests, especially ones that
    require finding the pyc files
  * Skip some gdb test cases if numba optimization isn't set to 0
  * more closely match upstreams test environment for autopkgtests

 -- Diane Trout <diane@ghic.org>  Thu, 06 Oct 2022 09:07:55 -0700

numba (0.56.2+dfsg-2) unstable; urgency=medium

  * Update llvmlite build-dependency (Closes: #1019945)
  * Add use-python3-test-nonsense-gdb-binary.patch (Closes: #1019949)
  * add reorder-setuptools-import.patch to build with setuptools 65

 -- Diane Trout <diane@ghic.org>  Sun, 18 Sep 2022 16:00:37 -0700

numba (0.56.2+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1018786)
  * Refresh patches
  * Ignore lintian error about _num_threads extentsion not using C
    symbols.

 -- Diane Trout <diane@ghic.org>  Wed, 07 Sep 2022 13:06:48 -0700
