=== debian/tests/control ===
Tests: python3-numba
Depends: python3-numba,
 python3-cffi,
 python3-ipykernel,
 python3-ipython,
 python3-pip,
 python3-pexpect,
 gdb,
 gcc | c-compiler
