=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               llvmlite-doc <!nodoc>,
                python3-all-dev,
                python3-colorama (>= 0.3.9~),
-               python3-llvmlite (>= 0.39~),
-               python3-numpy (<< 1:1.25),
+               python3-llvmlite (>= 0.42~),
+               python3-numpy (>= 1:1.22),
                python3-pip,
                sphinx,
                dh-sequence-sphinxdoc,
@@ -16,8 +17,10 @@
                python3-sphinx-rtd-theme,
                python3-setuptools,
                python3-numpydoc,
+               python3-doc <!nodoc>,
+               python3-versioneer,
                libtbb-dev (>= 2021.4.0)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/numba
 Vcs-Git: https://salsa.debian.org/science-team/numba.git
 Homepage: https://numba.pydata.org/
