=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME            = numba
 export PYBUILD_INSTALL_ARGS    = --install-scripts=/usr/share/{package}
-
-# Disable TBB as Numba only supports up 2022.05.
-# https://github.com/numba/numba/issues/8487
-export NUMBA_DISABLE_TBB=1
 
 SPHINX_BUILD = $(shell py3versions -d) /usr/bin/sphinx-build
 PYBUILD_DEFAULT_VERSION = $(shell py3versions -v -d)
