=== debian/tests/control ===
Tests: python3-numba
Depends: python3-numba,
 python3-all-dev,
 python3-cffi,
 python3-ipykernel,
 python3-ipython,
 python3-pip,
 python3-pexpect,
 python3-setuptools,
 python3-pytest,
 python3-pytest-xdist,
 python3-pytest-timeout,
 gdb,
 gcc | c-compiler
