=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 override_dh_auto_test-arch:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="ls {build_dir} && cd {build_dir} && MPLBACKEND=Agg {interpreter} -Wd runtests.py --exclude-tags='long-running,gdb,compiled_caching' -v -m --random 0.2 -- numba.tests"  dh_auto_test || true
+	PYBUILD_TEST_ARGS="ls {build_dir} && cd {build_dir} && MPLBACKEND=Agg {interpreter} -Wd runtests.py --exclude-tags='long-running,gdb,compiled_caching' -v -m --random 0.2 -- numba.tests"  dh_auto_test
 endif
 
 override_dh_installchangelogs:
@@ -35,7 +35,7 @@
 endif
 
 override_dh_python3:
-	dh_python3
+	dh_python3 --shebang=/usr/bin/python3
 	dh_numpy3
 
 override_dh_compress:
