=== debian/tests/control ===
Tests: python3-numba
Depends: gcc | c-compiler,
         gdb,
         python3-all-dev,
         python3-cffi,
         python3-ipykernel,
         python3-ipython,
         python3-numba,
         python3-pexpect,
         python3-pip,
         python3-pytest,
         python3-pytest-timeout,
         python3-pytest-xdist,
         python3-setuptools
