## numba 0.63.1+dfsg

=== debian/changelog ===
numba (0.63.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Adds Python 3.14 support (Closes: #1119030, #1123334)
    - update versioned build-dependency on llvmlite
    - refresh patches
  * Suppress tests that write files in readonly installation
    (test_default_locators, test_source_stamp_precision).
  * Update Standards-Version to 4.7.3 (no changes required).
  * Drop unneeded Priority:optional and R3:no fields.
  * Update lintian overrides.

 -- Stuart Prescott <stuart@debian.org>  Thu, 05 Feb 2026 13:57:06 +1100
