=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>
 Section: science
-Priority: optional
 Build-Depends: architecture-is-64-bit,
                debhelper-compat (= 13),
                dh-python,
@@ -12,7 +11,7 @@
                python3-all-dev,
                python3-colorama (>= 0.3.9~),
                python3-doc <!nodoc>,
-               python3-llvmlite (>= 0.44~),
+               python3-llvmlite (>= 0.46~),
                python3-numpy-dev (>= 1:2.2),
                python3-numpydoc,
                python3-pip,
@@ -21,11 +20,10 @@
                python3-sphinx-rtd-theme,
                python3-versioneer,
                sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/numba
 Vcs-Git: https://salsa.debian.org/science-team/numba.git
 Homepage: https://numba.pydata.org/
-Rules-Requires-Root: no
 
 Package: python3-numba
 Architecture: any
